package com.zjrs.zwnw.zj.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@TableName(value = "RS_ZJ_INIT")
@ApiModel(value="InitPO对象", description="专技数据初始化表")
public class InitPO {
    @ApiModelProperty(value = "专技数据初始化表ID")
    @TableId(value = "RS_ZJ_INIT_LSH", type = IdType.ASSIGN_UUID)
    private String rsZjInitLsh;

    @ApiModelProperty(value = "年度")
    @TableField("ND")
    private String nd;

    @ApiModelProperty(value = "正高级职称")
    @TableField("ZGJ")
    private String zgj;

    @ApiModelProperty(value = "高级职称")
    @TableField("GJ")
    private String gj;

    @ApiModelProperty(value = "中级职称")
    @TableField("ZJ")
    private String zj;

    @ApiModelProperty(value = "初级职称")
    @TableField("CJ")
    private String cj;

    @ApiModelProperty(value = "专技总量")
    @TableField("ZJZL")
    private String zjzl;

    @ApiModelProperty(value = "40周岁（含）以上博士")
    @TableField("NL40UBS")
    private String nl40ubs;

    @ApiModelProperty(value = "40周岁以下博士")
    @TableField("NL40DBS")
    private String nl40dbs;

    @ApiModelProperty(value = "中央、省驻湛单位博士")
    @TableField("ZYBS")
    private String zybs;

    @ApiModelProperty(value = "市属单位博士")
    @TableField("SSBS")
    private String ssbs;

    @ApiModelProperty(value = "博士总量")
    @TableField("BSZL")
    private String bszl;

    @ApiModelProperty(value = "40周岁（含）以上博士后")
    @TableField("NL40UBSH")
    private String nl40ubsh;

    @ApiModelProperty(value = "40周岁以下博士后")
    @TableField("NL40DBSH")
    private String nl40dbsh;

    @ApiModelProperty(value = "中央、省驻湛单位博士后")
    @TableField("ZYBSH")
    private String zybsh;

    @ApiModelProperty(value = "市属单位博士后")
    @TableField("SSBSH")
    private String ssbsh;

    @ApiModelProperty(value = "博士后总量")
    @TableField("BSHZL")
    private String bshzl;

    @ApiModelProperty(value = "国家级突出贡献专家")
    @TableField("GJZJ")
    private String gjzj;

    @ApiModelProperty(value = "省级突出贡献专家")
    @TableField("SHENGJZJ")
    private String shengjzj;

    @ApiModelProperty(value = "市级突出贡献专家")
    @TableField("SHIJZJ")
    private String shijzj;

    @ApiModelProperty(value = "享受国务院特殊津贴")
    @TableField("XSGWYTSJT")
    private String xsgwytsjt;

    @ApiModelProperty(value = "突出贡献总量")
    @TableField("TCGXZL")
    private String tcgxzl;

    @ApiModelProperty(value = "创建人")
    @TableField("TS_CJR")
    private String tsCjr;

    @ApiModelProperty(value = "创建时间")
    @TableField("TS_CJSJ")
    private String tsCjsj;

    @ApiModelProperty(value = "修改人")
    @TableField("TS_XGR")
    private String tsXgr;

    @ApiModelProperty(value = "修改时间")
    @TableField("TS_XGSJ")
    private String tsXgsj;

    public String getRsZjInitLsh() {
        return rsZjInitLsh;
    }

    public void setRsZjInitLsh(String rsZjInitLsh) {
        this.rsZjInitLsh = rsZjInitLsh;
    }

    public String getNd() {
        return nd;
    }

    public void setNd(String nd) {
        this.nd = nd;
    }

    public String getZgj() {
        return zgj;
    }

    public void setZgj(String zgj) {
        this.zgj = zgj;
    }

    public String getGj() {
        return gj;
    }

    public void setGj(String gj) {
        this.gj = gj;
    }

    public String getZj() {
        return zj;
    }

    public void setZj(String zj) {
        this.zj = zj;
    }

    public String getCj() {
        return cj;
    }

    public void setCj(String cj) {
        this.cj = cj;
    }

    public String getZjzl() {
        return zjzl;
    }

    public void setZjzl(String zjzl) {
        this.zjzl = zjzl;
    }

    public String getNl40ubs() {
        return nl40ubs;
    }

    public void setNl40ubs(String nl40ubs) {
        this.nl40ubs = nl40ubs;
    }

    public String getNl40dbs() {
        return nl40dbs;
    }

    public void setNl40dbs(String nl40dbs) {
        this.nl40dbs = nl40dbs;
    }

    public String getZybs() {
        return zybs;
    }

    public void setZybs(String zybs) {
        this.zybs = zybs;
    }

    public String getSsbs() {
        return ssbs;
    }

    public void setSsbs(String ssbs) {
        this.ssbs = ssbs;
    }

    public String getBszl() {
        return bszl;
    }

    public void setBszl(String bszl) {
        this.bszl = bszl;
    }

    public String getNl40ubsh() {
        return nl40ubsh;
    }

    public void setNl40ubsh(String nl40ubsh) {
        this.nl40ubsh = nl40ubsh;
    }

    public String getNl40dbsh() {
        return nl40dbsh;
    }

    public void setNl40dbsh(String nl40dbsh) {
        this.nl40dbsh = nl40dbsh;
    }

    public String getZybsh() {
        return zybsh;
    }

    public void setZybsh(String zybsh) {
        this.zybsh = zybsh;
    }

    public String getSsbsh() {
        return ssbsh;
    }

    public void setSsbsh(String ssbsh) {
        this.ssbsh = ssbsh;
    }

    public String getBshzl() {
        return bshzl;
    }

    public void setBshzl(String bshzl) {
        this.bshzl = bshzl;
    }

    public String getGjzj() {
        return gjzj;
    }

    public void setGjzj(String gjzj) {
        this.gjzj = gjzj;
    }

    public String getShengjzj() {
        return shengjzj;
    }

    public void setShengjzj(String shengjzj) {
        this.shengjzj = shengjzj;
    }

    public String getShijzj() {
        return shijzj;
    }

    public void setShijzj(String shijzj) {
        this.shijzj = shijzj;
    }

    public String getXsgwytsjt() {
        return xsgwytsjt;
    }

    public void setXsgwytsjt(String xsgwytsjt) {
        this.xsgwytsjt = xsgwytsjt;
    }

    public String getTcgxzl() {
        return tcgxzl;
    }

    public void setTcgxzl(String tcgxzl) {
        this.tcgxzl = tcgxzl;
    }

    public String getTsCjr() {
        return tsCjr;
    }

    public void setTsCjr(String tsCjr) {
        this.tsCjr = tsCjr;
    }

    public String getTsCjsj() {
        return tsCjsj;
    }

    public void setTsCjsj(String tsCjsj) {
        this.tsCjsj = tsCjsj;
    }

    public String getTsXgr() {
        return tsXgr;
    }

    public void setTsXgr(String tsXgr) {
        this.tsXgr = tsXgr;
    }

    public String getTsXgsj() {
        return tsXgsj;
    }

    public void setTsXgsj(String tsXgsj) {
        this.tsXgsj = tsXgsj;
    }
}
